Bulk Number Capability  Check

POST Method

The Bulk Number Capability Check API allows querying multiple mobile numbers in a single request to retrieve their RCS support status, carrier information, and activity status. This is ideal for batch processing and campaign targeting.

Prerequisites

  • After you sign up, your account will be on the trial version. You must complete the KYC to access all the features in kaleyra.io.
  • Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
  • Before sending the RCS, you must configure the RCS channel in the Kaleyra platform. To configure the RCS channel in your account, please contact your local Kaleyra representative.

Base URL

URLRegion
https://rcs-api.<pod>.kaleyra.ioFor North America (NA).

API Domain and Value

api_domainValue
NA podhttps://rcs-api.na.kaleyra.io

API Request to Check RCS Capability for Bulk Numbers

To check RCS capability for bulk numbers, use the https://rcs-api.<pod>.kaleyra.io/v1/<sid>/rcs/lookup with the following request method: 

Request Format

The following is the request format to check RCS capability for bulk numbers: 

curl --location 'https://<api_domain>/v1/<sid>/rcs/lookup'\
--header 'Content-Type:<Content-Type>' \ 
--header 'api-key: <api-key>' \ 
--data {  
    "deviceAddresses": ["<deviceAddresses>”]  
}  

Sample Request Format

The following is a sample request that describes how to check RCS capability for bulk numbers:

curl --location 'https://rcs-api.na.kaleyra.io/v1/XXXXX6913850XXXX/rcs/lookup'\
--header 'Content-Type: application/json' \ 
--header 'api-key:XXXXX3b8497f58a94e84b671aca43XXXX' \ 
--data ' {
    "deviceAddresses": [
        "+1XXXXXXX985",
        "+1XXXXXXX986"
    ]
}' 

URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

Parameter/HeadersData TypeDescriptionExampleMandatory?
sidStringAccount SID (Security Identifier).XXXXX6913850XXXXYes
Content-TypeStringIndicates the format of the content the API will be processing.The only allowed value is application/JSONYes
api-keyStringAPI key generated from kaleyra.io account.XXXXX3b8497f58a94e84b671aca43XXXXYes

Following is the list of attributes to be used in the payload to check bulk numbers capability:

ParameterData TypeDescriptionExampleMandatory?
deviceAddressesArray of StringList of device addresses to look up, typically phone numbers in E.164 format (including country code, with a leading “+”). The list must contain a minimum of 100 and a maximum of 500 entries.["+1XXXXXXX985",        "+1XXXXXXX986"]`Yes

Sample Success Response

The following is the sample success response:

{ 
    "devices": [ 
        { 
            "deviceAddress": "+1XXXXXXX985", 
            "carrierId": "Google", 
            "carrierStatus": "ACTIVE", 
            "rcsEnabled": true 
        }, 
        { 
            "deviceAddress": "+1XXXXXXX986", 
            "carrierId": "Google", 
            "carrierStatus": "ACTIVE", 
            "rcsEnabled": false 
        } 
    ] 
} 

Response Fields

The following table outlines the key fields returned in the API response. Each field provides specific information about the queried device(s), including carrier details, RCS capability, and message metadata. These fields help in interpreting the results and making informed decisions for message delivery and targeting.

Response

Description

Example

carrierId

Unique id/name of the carrier associated with the mobile device (Note: carrierId is currently available only for US device lookups; this response field is not returned for EU device lookups)

"Google"

carrierStatus 

Provides status information about the carrier. For example, this may indicate that the number is inactive, and so on.

Note: carrierStatus is currently available only for US device lookups; this response field is not returned for EU device lookups.

Values: ACTIVE, INACTIVE, UNKNOWN

"ACTIVE"

deviceAddress 

Device address, typically a phone number in E.164 format with leading country code but without a plus in front, or a uri-like identification: used to contact the user, for example “chat:234236745234”

"+1XXXXXXX985"

rcsEnabled

Indicates whether this device is capable and enabled for receiving RCS messages

“true”






© 2026 Kaleyra Inc. All rights reserved.
Trademarks, logos and service marks displayed on this site are registered and unregistered trademarks of Kaleyra Inc.